
function  MainPPI(fileinput,ft)
%fileinput must be a .mat file containing the adjacency matrix "mat1" of the
%network and the list "label" of proteins names
%the results are stored in the folder called ris
%networks contains the three Yeast datasets Yeast-D1, Yeast-D2, Y2H

%ft is the type of fitness we want to use
% the values are the following
%1 : modularity;
%2 : conductance;
%3 : expansion;
%4 : InternalDensity;
%5 : CutRatio;
%6 : NormalizedCut;
%7 : modularity without local search
%8 : community score



if nargin < 1
  error('not enough argument');
end
if nargin < 2
  error('insert the type of fitness to use');
end



MM=load(fileinput);
M1=MM.mat1;
label=MM.label
M=sparse(M1);
numberOfVariables=size(M1,1)

mutationRate=0.2; 
CrossoverFraction=0.8; 
maxnum=2; %number of times the algorithm is executed to gather statistics
numGenerations=100;
populationSize=100;

gappi(M1,label,mutationRate,CrossoverFraction,maxnum,numGenerations,populationSize,ft)


end
